#
# Conditional build:
%bcond_without	doc	# HTML documentation
#
%define	selinux_ver	3.8
Summary:	SELinux Common Intermediate Language (CIL) Compiler
Summary(pl.UTF-8):	Kompilator języka pośredniego (CIL) SELinuksa
Name:		secilc
Version:	3.8.1
Release:	1
License:	BSD
Group:		Applications
#Source0Download: https://github.com/SELinuxProject/selinux/wiki/Releases
Source0:	https://github.com/SELinuxProject/selinux/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b53be2733d1adba11d9192a12cbc63cc
URL:		https://github.com/SELinuxProject/cil/wiki
BuildRequires:	gcc >= 6:4.5.1
BuildRequires:	libsepol-devel >= %{selinux_ver}
%{?with_doc:BuildRequires:	pandoc >= 2.0}
BuildRequires:	xmlto
Requires:	libsepol >= %{selinux_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SELinux CIL Compiler is a compiler that converts the CIL language
as described on the CIL design wiki into a kernel binary policy file.

%description -l pl.UTF-8
SELinux CIL Compiler to kompilator przekształcający język CIL (Common
Intermediate Language - wspólny język pośredni), zgodny z opisem na
stronie wiki, do postaci binarnego pliku polityki jądra.

%prep
%setup -q

%build
CFLAGS="%{rpmcflags}" \
CPPFLAGS="%{rpmcppflags}" \
%{__make} \
	CC="%{__cc}" \
	LIBDIR=%{_libdir}

%if %{with doc}
%{__make} -C docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README %{?with_doc:docs/html}
%attr(755,root,root) %{_bindir}/secil2conf
%attr(755,root,root) %{_bindir}/secil2tree
%attr(755,root,root) %{_bindir}/secilc
%{_mandir}/man8/secil2conf.8*
%{_mandir}/man8/secil2tree.8*
%{_mandir}/man8/secilc.8*
%changelog
* Fri Mar 21 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/secilc.git;a=log;h=master

* Fri Mar 21 2025 Jakub Bogusz <qboosh@pld-linux.org> f41ffe6
- updated to 3.8.1

* Sun Mar 02 2025 Jakub Bogusz <qboosh@pld-linux.org> cf4f367
- updated to 3.8

* Mon Jul 15 2024 Jakub Bogusz <qboosh@pld-linux.org> 5346d9b
- updated to 3.7

* Sat Jan 13 2024 Jakub Bogusz <qboosh@pld-linux.org> 249147f
- updated pandoc version (for --syntax-definition option)

* Tue Jan 09 2024 Jan Palus <atler@pld-linux.org> 9f61903
- up to 3.6

* Sun Jun 20 2021 Jakub Bogusz <qboosh@pld-linux.org> ea7daed
- updated to 3.1

* Sun Jun 07 2020 Jan Rękorajski <baggins@pld-linux.org> 89745df
- release 2 (by relup.sh)

* Sat May 30 2020 Jan Rękorajski <baggins@pld-linux.org> c500718
- we have ghc and pandoc on x32 now

* Thu Aug 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 088d7e0
- updated to 2.9

* Sat Jun 09 2018 Jakub Bogusz <qboosh@pld-linux.org> a1c0408
- updated to 2.8

* Thu Nov 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 14f0a79
- updated to 2.7

* Sat Feb 25 2017 Jan Rękorajski <baggins@pld-linux.org> 1aef6cc
- up to 2.6

* Fri Oct 14 2016 Jakub Bogusz <qboosh@pld-linux.org> f7fb741
- pandoc not available on x32; release 2

* Thu Oct 13 2016 Jakub Bogusz <qboosh@pld-linux.org> b123664
- new

